<?php

class pe_edu_handler_field_position extends views_handler_field {
  function construct() {
    parent::construct();
    $this->additional_fields['uid'] = 'uid';
  }
  
  function query() {
    $this->ensure_my_table();
    $this->add_additional_fields();
  }
  
  function render($values) {
    $query = "SELECT nid FROM {node} WHERE type = '%s' AND uid = %d";    
    $args = array('profileedu', $values->{$this->aliases['uid']});    
    $profileedu = db_fetch_object(db_query($query, $args));
    $field_position_value = _get_field_value($profileedu->nid, 'field_position', 'profileedu');
    return check_plain($field_position_value[$profileedu->nid]);
  }

}
