<?php

class pe_edu_handler_field_head extends views_handler_field {
  function construct() {
    parent::construct();
    $this->additional_fields['nid'] = 'nid';
  }
  
  function query() {
    $this->ensure_my_table();
    $this->add_additional_fields();
  }
  
  function render($values) {
    $section = node_load($values->{$this->aliases['nid']});
    $uid = $section->field_head[0]['uid']; 
		if($uid < 1) {
			return;
		}
    $query = "SELECT nid FROM {node} WHERE type = '%s' AND uid = %d";    
    $args = array('profile', $uid);    
    $pnid = db_fetch_object(db_query($query, $args));
    $profile = node_load($pnid->nid);

		$account = new stdClass();
		$account->uid = $profile->uid;
		$account->name = $profile->name;
		$account->profile = $profile;
		$account->profile->field_personal_title[0]['value'] = _translate_personal_title($profile->field_personal_title[0]['value']);
		
		return theme('username', $account, $link = 1, $access = 1, $path, $attributes);

	}
}
